NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.CAE.ElementProjectBuilder Class Reference

Represents a NXOpen.CAE.ElementProjectBuilder More...

Inheritance diagram for NXOpen.CAE.ElementProjectBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ElementDimensionType { Any, Beam, Shell }
 Dimension of element to be projected More...
 
enum  LabelType { Label, Offset }
 Option to use label/increment or offset More...
 
enum  MethodType { Vector, ElemNormal }
 Projection method More...
 
enum  NewMeshType { Create, Existing }
 Option to create new mesh or add to existing mesh More...
 

Properties

unsafe string CollectorName [get, set]
 Returns or sets the mesh collector name More...
 
unsafe
NXOpen.CAE.ElementProjectBuilder.ElementDimensionType 
ElementDimensionOption [get, set]
 Returns or sets the element dimension option More...
 
unsafe
NXOpen.CAE.SelectElementsBuilder 
Elements [get]
 Returns the selected elements to be extruded More...
 
unsafe
NXOpen.CAE.ElementTypeBuilder 
ElementType [get]
 Returns the element type builder. More...
 
unsafe bool ExportMesh [get, set]
 Returns or sets the option which indicates whether mesh is exported to solver or not. More...
 
unsafe NXOpen.CAE.SelectCAEFaceList Face [get]
 Returns the face on which projection will happen More...
 
unsafe int FlipState [get, set]
 Returns or sets the flip state from the builder More...
 
unsafe int Increment [get, set]
 Returns or sets the increment More...
 
unsafe int Label [get, set]
 Returns or sets the label More...
 
unsafe
NXOpen.CAE.ElementProjectBuilder.LabelType 
LabelOption [get, set]
 Returns or sets the label option More...
 
unsafe string MeshName [get, set]
 Returns or sets the mesh name More...
 
unsafe
NXOpen.CAE.ElementProjectBuilder.MethodType 
MethodOption [get, set]
 Returns or sets the method option More...
 
unsafe string NeutralName [get, set]
 Returns or sets the element neutral name More...
 
unsafe
NXOpen.CAE.ElementProjectBuilder.NewMeshType 
NewMeshOption [get, set]
 Returns or sets the new mesh option More...
 
unsafe int Offset [get, set]
 Returns or sets the offset More...
 
unsafe double PercentOffset [get, set]
 Returns or sets the percent offset More...
 
unsafe NXOpen.Direction Vector [get, set]
 Returns or sets the vector along which projection will happen More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.ElementProjectBuilder

To create a new instance of this class, use NXOpen.CAE.NodeElementManager.CreateElementProjectBuilder

Created in NX5.0.0

Member Enumeration Documentation

Dimension of element to be projected

Enumerator
Any 

beam and/or shell element

Beam 

beam element

Shell 

shell element

Option to use label/increment or offset

Enumerator
Label 

label/increment

Offset 

offset

Projection method

Enumerator
Vector 

along vector

ElemNormal 

along element normal

Option to create new mesh or add to existing mesh

Enumerator
Create 

Create new mesh

Existing 

Add to existing mesh

Property Documentation

unsafe string NXOpen.CAE.ElementProjectBuilder.CollectorName
getset

Returns or sets the mesh collector name

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementProjectBuilder.ElementDimensionType NXOpen.CAE.ElementProjectBuilder.ElementDimensionOption
getset

Returns or sets the element dimension option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectElementsBuilder NXOpen.CAE.ElementProjectBuilder.Elements
get

Returns the selected elements to be extruded

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.CAE.ElementTypeBuilder NXOpen.CAE.ElementProjectBuilder.ElementType
get

Returns the element type builder.

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.ElementProjectBuilder.ExportMesh
getset

Returns or sets the option which indicates whether mesh is exported to solver or not.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectCAEFaceList NXOpen.CAE.ElementProjectBuilder.Face
get

Returns the face on which projection will happen

Created in NX5.0.0

License requirements: None.

unsafe int NXOpen.CAE.ElementProjectBuilder.FlipState
getset

Returns or sets the flip state from the builder

Created in NX5.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ElementProjectBuilder.Increment
getset

Returns or sets the increment

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ElementProjectBuilder.Label
getset

Returns or sets the label

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementProjectBuilder.LabelType NXOpen.CAE.ElementProjectBuilder.LabelOption
getset

Returns or sets the label option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.ElementProjectBuilder.MeshName
getset

Returns or sets the mesh name

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementProjectBuilder.MethodType NXOpen.CAE.ElementProjectBuilder.MethodOption
getset

Returns or sets the method option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.ElementProjectBuilder.NeutralName
getset

Returns or sets the element neutral name

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementProjectBuilder.NewMeshType NXOpen.CAE.ElementProjectBuilder.NewMeshOption
getset

Returns or sets the new mesh option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ElementProjectBuilder.Offset
getset

Returns or sets the offset

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe double NXOpen.CAE.ElementProjectBuilder.PercentOffset
getset

Returns or sets the percent offset

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Direction NXOpen.CAE.ElementProjectBuilder.Vector
getset

Returns or sets the vector along which projection will happen

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.